# Class yii\web\ServerErrorHttpException

Inheritance | yii\web\ServerErrorHttpException » yii\web\HttpException » yii\base\UserException » yii\base\Exception » Exception
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/web/ServerErrorHttpException.php

ServerErrorHttpException represents an "Internal Server Error" HTTP exception with status code 500.

See also https://tools.ietf.org/html/rfc7231#section-6.6.1.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$statusCode | integer | HTTP status code, such as 403, 404, 500, etc. | yii\web\HttpException

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructor. | yii\web\ServerErrorHttpException
getName() |  | yii\web\HttpException

## Method Details

__construct() public method

Constructor.

public void __construct ( $message = null, $code = 0, Exception $previous = null )
$message | string | Error message
$code | integer | Error code
$previous | Exception | The previous exception used for the exception chaining.